com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_Gb29768_InventoryCfg.QueryParams

- java.lang.Object
- - com.unitech.stuhfl.STUHFL_T_ST25RU3993_Gb29768_InventoryCfg.QueryParams

- Enclosing class:
    STUHFL_T_ST25RU3993_Gb29768_InventoryCfg

      public class STUHFL_T_ST25RU3993_Gb29768_InventoryCfg.QueryParams
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `STUHFL_E.GB29768_CONDITION` | `condition`
    `STUHFL_E.GB29768_SESSION` | `session` < I/O Param: Condition setting
    `STUHFL_E.GB29768_TARGET` | `target` < I/O Param: STUHFL_D_GB29768_SESSION_S0, ...
    `boolean` | `targetDepletionMode` < I/O Param: Target A/B toggle
    `boolean` | `toggleTarget` < I/O Param: For QUERY Target field

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryParams(STUHFL_E.GB29768_CONDITION condition, STUHFL_E.GB29768_SESSION session, STUHFL_E.GB29768_TARGET target, boolean toggleTarget, boolean targetDepletionMode)` < I/O Param: If TRUE and the target shall be toggled in inventory an additional inventory round before the target is toggled will be executed.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### condition

          public STUHFL_E.GB29768_CONDITION condition

    - #### session

          public STUHFL_E.GB29768_SESSION session

      < I/O Param: Condition setting

    - #### target

          public STUHFL_E.GB29768_TARGET target

      < I/O Param: STUHFL_D_GB29768_SESSION_S0, ...

    - #### toggleTarget

          public boolean toggleTarget

      < I/O Param: For QUERY Target field

    - #### targetDepletionMode

          public boolean targetDepletionMode

      < I/O Param: Target A/B toggle

  - ### Constructor Detail

    - #### QueryParams

          public QueryParams(STUHFL_E.GB29768_CONDITION condition,
                             STUHFL_E.GB29768_SESSION session,
                             STUHFL_E.GB29768_TARGET target,
                             boolean toggleTarget,
                             boolean targetDepletionMode)

      < I/O Param: If TRUE and the target shall be toggled in inventory an additional inventory round before the target is toggled will be executed. This gives "weak" transponders an additional chance to reply.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`